import { FlagsConfig, SfdxCommand } from '@salesforce/command';
import { AuthFields, SandboxProcessObject, ScratchOrgInfo } from '@salesforce/core';
export interface ScratchOrgProcessObject {
    username?: string;
    scratchOrgInfo: ScratchOrgInfo;
    authFields?: AuthFields;
    warnings: string[];
    orgId: string;
}
export declare class Create extends SfdxCommand {
    static readonly description: string;
    static readonly examples: string[];
    static readonly supportsDevhubUsername = true;
    static readonly supportsUsername = true;
    static readonly varargs = true;
    static readonly aliases: string[];
    static readonly flagsConfig: FlagsConfig;
    protected readonly lifecycleEventNames: string[];
    private sandboxAuth?;
    run(): Promise<SandboxProcessObject | ScratchOrgProcessObject>;
    private validateSandboxFlags;
    private createSandboxRequest;
    private createSandbox;
    private readJsonDefFile;
    private createScratchOrg;
}
